package com.gic.haoban.manage.service.service.out.impl;


import com.gic.haoban.manage.api.dto.*;
import java.util.Date;
import java.util.List;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.service.ExternalClerkRelatedApiService;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanExternalClerkRelatedMapper;
import com.gic.haoban.manage.service.entity.TabHaobanExternalClerkRelated;

@Service
public class ExternalClerkRelatedApiServiceImpl implements ExternalClerkRelatedApiService{
	private static final Logger log = LogManager.getLogger(ExternalClerkRelatedApiServiceImpl.class);
	@Autowired
	private TabHaobanExternalClerkRelatedMapper tabHaobanExternalClerkRelatedMapper;
	@Override
	public List<ExternalClerkRelatedDTO> listByEnterpriseIdAndDate(
			String enterpriseId, Date date) {
		List<TabHaobanExternalClerkRelated> list = tabHaobanExternalClerkRelatedMapper.listByEnterpriseIdAndDate(enterpriseId,date);
		return EntityUtil.changeEntityListByJSON(ExternalClerkRelatedDTO.class,list);	
	}
	
}
